Get case setup

Retrieves all setup information and interface IDs for the specified case.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieves a case setup, this means its regions, subregions, materials...

Returns: a json object with the case setup

:param int case_Id: id of the case you want to retrieve the setup of.

API call function:

def get_case_setup(self, case_Id) -> Dict:

    url = self.caseserver_url + "/cases/setup/" + str(case_Id)

    response = requests.get(url, headers=self.get_header)

    if(response.ok): 
        print("case setup: \n", response.text, "\n")
        return response.json()
    else:
        logger.error(f"retrieving case setup failed: {response.content}")
        raise Exception
Path Params
int64
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json